Bug 213712 - Unable to connect to webdav share with nautilus
Unable to connect to webdav share with nautilus
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2006-11-02 12:43 EST by Sergio Pascual
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-03 10:21:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2006-11-02 12:43:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20061027 Galeon/2.0.3 Firefox/

Description of problem:
I connect to a webdav share using Computer -> Connect to Server
I enter the hostname and filder and an icon appears on the desktop.

After that a popup window appears with the following message:
Couldn't display "davs://xxxxxxx/share".
The location is not a folder.

Doing double click over the icon, triggers an action: a new tab apperas in my web browser, with url davs://xxxxxxx/share and another popup window:
"Firefox doesn't know how to open this address, because the protocol (davs) isn't associated with any program"

Right click on the desktop icon and properties shows that the file is recognized as HTML document with MIME type text/html, instead of being of type folder.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Connect to a dav share
2. Try to browse it

Actual Results:

Expected Results:

Additional info:
This happens after a clean install and with dav and davs
Comment 1 Alexander Larsson 2006-11-08 09:25:30 EST
What about using "davs://xxxxxxx/share/"?
The same?

Comment 2 Sergio Pascual 2006-11-08 10:06:34 EST

As additional info, gedit is capable of opening a file in the dav server if, in
the open menu, I write the hole path davs://xxxxxxx/share/file.txt.
Comment 3 Alexander Larsson 2006-11-08 11:30:18 EST
I think the problem is that the webserver delivers a webpage at that address
too, and gnome-vfs somehow doesn't detect that it also is a DAV directory.
Comment 4 Sergio Pascual 2006-11-08 12:13:25 EST
I have reconfigured the server to not deliver a webpage with the contents. 
Now, I can not acces to the share with the webserver neither with nautilus. When
I double click a message appears saying "Acces denied". The mime type of the
file on the desktop corresponding to the server is application/octet-stream

I can enter in the share using cadaver and gedit also allows to edit the files
in the share.
Comment 5 Alexander Larsson 2006-11-09 04:39:38 EST
I'm not expert on the dav stuff, you might get better help if you file a bug
Comment 6 Sergio Pascual 2007-10-03 10:21:14 EDT
I have tested this again and it seems to work in fedora 7

Note You need to log in before you can comment on or make changes to this bug.